Bug 894604 - Review Request: coin-or-Ipopt - Interior Point OPTimizer
Review Request: coin-or-Ipopt - Interior Point OPTimizer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
: 817119 908089 (view as bug list)
Depends On:
Blocks: 894605 894606 894609
  Show dependency treegraph
 
Reported: 2013-01-12 10:34 EST by Paulo Andrade
Modified: 2014-07-04 03:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 11:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
anto.trande: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2013-01-12 10:34:25 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt-3.10.2-3.fc19.src.rpm
Description: Ipopt (Interior Point OPTimizer, pronounced eye-pea-Opt) is a software
package for large-scale nonlinear optimization. It is designed to find
(local) solutions of mathematical optimization problems of the from

   min     f(x)
x in R^n

s.t.       g_L <= g(x) <= g_U
           x_L <=  x   <= x_U

where f(x): R^n --> R is the objective function, and g(x): R^n --> R^m are
the constraint functions. The vectors g_L and g_U denote the lower and upper
bounds on the constraints, and the vectors x_L and x_U are the bounds on
the variables x. The functions f(x) and g(x) can be nonlinear and nonconvex,
but should be twice continuously differentiable. Note that equality
constraints can be formulated in the above formulation by setting the
corresponding components of g_L and g_U to the same value.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 10:36:01 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.

(this package does not depend on other coin-or reviews)
Comment 2 Paulo Andrade 2013-01-14 17:18:15 EST
Update:

- Update to run make check (#894610#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-coin-or-Ipopt-3.10.3-1.fc19.src.rpm

Actually, as noted in the spec, does not run make check:
https://projects.coin-or.org/Ipopt/ticket/75
Comment 3 Paulo Andrade 2013-01-14 17:19:58 EST
Sorry, also bad cut&paste, the changelog is:

- Update to latest upstream release.
Comment 4 Paulo Andrade 2013-03-02 11:50:11 EST
The package now actually runs, and pass make check, but requires
the MUMPS package under review.

Update:

- Remove ThirdParty directory but keep BuildTools one.
- Make use of the MUMPS solver (#913152).
- Split html documentation in a doc package.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-coin-or-Ipopt-3.10.3-2.fc19.src.rpm
Comment 5 Antonio Trande 2013-03-02 12:18:29 EST
*** Bug 908089 has been marked as a duplicate of this bug. ***
Comment 6 Antonio Trande 2013-03-04 08:26:10 EST
(In reply to comment #4)
> The package now actually runs, and pass make check, but requires
> the MUMPS package under review.
> 
> Update:
> 
> - Remove ThirdParty directory but keep BuildTools one.
> - Make use of the MUMPS solver (#913152).
> - Split html documentation in a doc package.
> 
> Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt.spec
> SRPM URL:
> http://pcpa.fedorapeople.org/coin-or/coin-or-coin-or-Ipopt-3.10.3-2.fc19.src.
> rpm

SRPMS url is wrong. :)
Comment 7 Paulo Andrade 2013-03-04 22:27:39 EST
Sorry, cut&paste fail :-)
This should make running fedora-review easier:

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt-3.10.3-2.fc19.src.rpm
Comment 8 Paulo Andrade 2013-05-09 16:06:28 EDT
Update:

- Update to latest upstream release.
- Switch to the new upstream tarballs without bundled dependencies.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt-3.10.4-1.fc20.src.rpm
Comment 9 Antonio Trande 2013-05-10 15:36:29 EDT
Hi Paulo.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage.
  Note: Documentation size is 35717120 bytes in 1514 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in coin-or-
     Ipopt-doc

This subpackage provides just .html documentation files, so it doesn't need any fully versioned dependency.

[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/894604-coin-or-Ipopt/licensecheck.txt
 
ltmain.sh file is shipped with a GPLv2+ license.
License field should be "EPL and GPLv2+" . 
(http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Mixed_Source_Licensing_Scenario)

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0

A new release is already online. :)

[x]: Uses parallel make.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.

http://www.coin-or.org/download/source/Ipopt/Ipopt-3.11.0.zip

[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 37089280 bytes in /usr/share 37089280
     coin-or-Ipopt-3.10.4-1.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-Ipopt-3.10.4-1.fc20.x86_64.rpm
          coin-or-Ipopt-devel-3.10.4-1.fc20.x86_64.rpm
          coin-or-Ipopt-doc-3.10.4-1.fc20.noarch.rpm
coin-or-Ipopt.x86_64: W: spelling-error %description -l en_US nonconvex -> non convex, non-convex, convex
coin-or-Ipopt.x86_64: W: spelling-error %description -l en_US differentiable -> differential, differentiated, differentiate
coin-or-Ipopt.x86_64: W: shared-lib-calls-exit /usr/lib64/libipopt.so.1.8.4 exit@GLIBC_2.2.5
coin-or-Ipopt-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint coin-or-Ipopt-devel coin-or-Ipopt-doc coin-or-Ipopt
coin-or-Ipopt-devel.x86_64: W: no-documentation
coin-or-Ipopt.x86_64: W: spelling-error %description -l en_US nonconvex -> non convex, non-convex, convex
coin-or-Ipopt.x86_64: W: spelling-error %description -l en_US differentiable -> differential, differentiated, differentiate
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI::Datatype::Free()
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI::Win::Free()
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 ompi_mpi_comm_null
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 ompi_mpi_cxx_op_intercept
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 ompi_mpi_comm_world
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Barrier
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Ibsend
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Pack_external
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Send
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_get_attr
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_post
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Iprobe
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Status_set_elements
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_dup
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Intercomm_create
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dgemm_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Op_commutative
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Get_count
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Alltoall
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_remote_size
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Graph_neighbors
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Issend
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Group_excl
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Info_get_nkeys
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Info_get
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Put
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Alltoallv
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_create_darray
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Info_free
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Get
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Cart_sub
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Irecv
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_create_subarray
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_test_inter
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Reduce_local
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_create_hindexed
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Pack_external_size
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_set_attr
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Isend
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Group_rank
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 daxpy_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_get_contents
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Init
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_set_name
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Cart_shift
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Initialized
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Allreduce
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Op_create
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Attr_delete
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dlsym
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Cart_create
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_unlock
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Cart_coords
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_contiguous
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_dup
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Group_size
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Intercomm_merge
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_get_name
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_vector
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Pack_size
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Cartdim_get
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_create_indexed_block
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Grequest_complete
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Scatterv
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_get_errhandler
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_get_name
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dnrm2_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Unpack_external
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_disconnect
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Exscan
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Allgather
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dlerror
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Recv_init
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_test
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_size
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dsyev_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_get_true_extent
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Cart_get
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_set_attr
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Op_free
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_get_envelope
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_accept
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Graph_get
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_commit
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dcopy_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_set_name
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_create
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI::Comm::Comm()
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Start
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Info_dup
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dscal_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_size
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Abort
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Unpack
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Test
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Gather
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Probe
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_wait
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Alltoallw
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_get_name
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_connect
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Bsend
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Wait
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Topo_test
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Cart_map
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 ompi_op_set_cxx_callback
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 ddot_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dgetrf_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Graph_map
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_remote_group
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_spawn_multiple
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Graphdims_get
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_get_extent
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_delete_attr
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Test_cancelled
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_get_group
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Recv
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_free
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Errhandler_free
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Sendrecv
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dsyrk_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_spawn
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dasum_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Info_get_nthkey
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Request_free
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dtrsm_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_rank
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Graph_create
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Bcast
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 idamax_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dpotrf_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Reduce
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_split
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Get_elements
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Irsend
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dmumps_c
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_complete
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_create_resized
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Info_delete
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_lock
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Request_get_status
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Attr_get
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Finalize
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Reduce_scatter
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Scatter
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_indexed
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Pack
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Attr_put
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Sendrecv_replace
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_group
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Group_incl
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Info_get_valuelen
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Send_init
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_start
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dgemv_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Group_free
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Cancel
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Group_range_incl
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Graph_neighbors_count
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Rsend
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Cart_rank
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Bsend_init
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dpotrs_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Scan
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_get_errhandler
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Ssend_init
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Gatherv
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Ssend
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Rsend_init
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Allgatherv
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_set_name
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Info_set
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Status_set_cancelled
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Type_create_hvector
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dlopen
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_call_errhandler
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_set_errhandler
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Comm_set_errhandler
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Group_range_excl
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Accumulate
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_delete_attr
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 MPI_Win_fence
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dsymv_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dgetrs_
coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol /usr/lib64/libipopt.so.1.8.4 dlclose
coin-or-Ipopt.x86_64: W: shared-lib-calls-exit /usr/lib64/libipopt.so.1.8.4 exit@GLIBC_2.2.5
3 packages and 0 specfiles checked; 0 errors, 189 warnings.
# echo 'rpmlint-done:'



Requires
--------
coin-or-Ipopt-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-Ipopt(x86-64)
    libipopt.so.1()(64bit)

coin-or-Ipopt-doc (rpmlib, GLIBC filtered):

coin-or-Ipopt (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    rtld(GNU_HASH)



Provides
--------
coin-or-Ipopt-devel:
    coin-or-Ipopt-devel
    coin-or-Ipopt-devel(x86-64)
    pkgconfig(ipopt)

coin-or-Ipopt-doc:
    coin-or-Ipopt-doc

coin-or-Ipopt:
    coin-or-Ipopt
    coin-or-Ipopt(x86-64)
    libipopt.so.1()(64bit)



Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894604
Comment 10 Paulo Andrade 2013-05-11 11:51:59 EDT
(In reply to comment #9)
> Hi Paulo.

  Hi Antonio,

> [x]: Fully versioned dependency in subpackages, if present.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in coin-or-
>      Ipopt-doc
> 
> This subpackage provides just .html documentation files, so it doesn't need
> any fully versioned dependency.

  Added missing "Requires: %{name} = %{version}-%{release}"

> [x]: Package complies to the Packaging Guidelines
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "Unknown or generated". 1 files have unknown license. Detailed output of
>      licensecheck in /home/sagitter/894604-coin-or-Ipopt/licensecheck.txt
>  
> ltmain.sh file is shipped with a GPLv2+ license.
> License field should be "EPL and GPLv2+" . 
> (http://fedoraproject.org/wiki/Packaging:
> LicensingGuidelines#Mixed_Source_Licensing_Scenario)

  Unsure about this, but for the sake of following guidelines changed
to "License: EPL and GPLv2+"


> Generic:
> [!]: Sources can be downloaded from URI in Source: tag
>      Note: Could not download Source0
> 
> A new release is already online. :)

  That was fast :-) Just updated.

> [x]: Uses parallel make.
> [-]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Package functions as described.
> [!]: Latest version is packaged.
> 
> http://www.coin-or.org/download/source/Ipopt/Ipopt-3.11.0.zip

  Fixed as commented above. I think part of this was my request
to upstream to correct several underlink issues in different
coin-or packages.

> Generic:
> [!]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
>      Note: Arch-ed rpms have a total of 37089280 bytes in /usr/share 37089280
>      coin-or-Ipopt-3.10.4-1.fc20.x86_64.rpm

  Already done, bogus warning I think, -doc package is noarch.

> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: coin-or-Ipopt-3.10.4-1.fc20.x86_64.rpm
>           coin-or-Ipopt-devel-3.10.4-1.fc20.x86_64.rpm
>           coin-or-Ipopt-doc-3.10.4-1.fc20.noarch.rpm
> coin-or-Ipopt.x86_64: W: spelling-error %description -l en_US nonconvex ->
> non convex, non-convex, convex
> coin-or-Ipopt.x86_64: W: spelling-error %description -l en_US differentiable
> -> differential, differentiated, differentiate
> coin-or-Ipopt.x86_64: W: shared-lib-calls-exit /usr/lib64/libipopt.so.1.8.4
> exit@GLIBC_2.2.5
> coin-or-Ipopt-devel.x86_64: W: no-documentation
> 3 packages and 0 specfiles checked; 0 errors, 4 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> # rpmlint coin-or-Ipopt-devel coin-or-Ipopt-doc coin-or-Ipopt
> coin-or-Ipopt-devel.x86_64: W: no-documentation
> coin-or-Ipopt.x86_64: W: spelling-error %description -l en_US nonconvex ->
> non convex, non-convex, convex
> coin-or-Ipopt.x86_64: W: spelling-error %description -l en_US differentiable
> -> differential, differentiated, differentiate
> coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/libipopt.so.1.8.4 MPI::Datatype::Free()
> coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol

  I think the mpi undefined are expected.

> /usr/lib64/libipopt.so.1.8.4 dsymv_
> coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/libipopt.so.1.8.4 dgetrs_

  Add -llapack to --with-mumps-lib

> coin-or-Ipopt.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/libipopt.so.1.8.4 dlclose

  Added a new underlink patch to explicitly link with -ldl.



Update:

- Update to latest upstream release.
- Adjust patches and build for sources now in toplevel directory.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Ipopt-3.11.0-1.fc20.src.rpm
Comment 11 Antonio Trande 2013-05-11 17:43:42 EDT
Package approved.
Comment 12 Paulo Andrade 2013-05-12 07:57:25 EDT
New Package SCM Request
=======================
Package Name: coin-or-Ipopt
Short Description: Interior Point OPTimizer
Owners: pcpa
Branches: f18 f19
InitialCC:
Comment 13 Jon Ciesla 2013-05-12 12:01:29 EDT
Git done (by process-git-requests).
Comment 14 Christopher Meng 2013-10-22 11:21:52 EDT
No builds for f18/f19, no problem.
Comment 15 Christopher Meng 2014-07-04 03:02:37 EDT
*** Bug 817119 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.